%define        serverdir     %(apxs -q htdocsdir 2>/dev/null)

# To create a customized installation of bbPress:
# autospec -u magento -a5 \
#   -d "installdir=%serverdir/../www.example.com, \
#       sitename=example, \
#       adminmail=webmaster@example.com"

%if "%{?installdir}" == ""
   %define     installdir    %{serverdir}/lam
%endif

%if "%{?sitename}" != ""
   %if "%{?servername}" == ""
      %define  servername    %(basename %installdir 2>/dev/null)
   %endif
   %define     serverlogdir  %(apxs -q logfiledir 2>/dev/null)
%else
   %if "%{?aliasdir}" == ""
      %define  aliasdir      /lam
   %endif
%endif

#% define        rcver_append .RC1
Name:          ldap-account-manager
Version:       9.1
Release:       1mamba
Summary:       A webfrontend for managing accounts stored in an openLDAP server.
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://lam.sourceforge.io/
Source:        https://sourceforge.net/projects/lam/files/LAM/%{version}/ldap-account-manager-%{version}.tar.bz2
Patch0:        %{name}-7.7-installdirs.patch
Patch1:        %{name}-3.3.0-sync_ldap_names_with_smbldaptools.patch
Patch2:        %{name}-3.3.0-default_user_profile.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: apache-devel
BuildRequires: systemd
## AUTOBUILDREQ-END
BuildRequires: apache
Requires:      apache >= 2.0.48
Requires(post):apache-mod_php
Requires(post):openldap-server
Requires:      php >= 4.3.6
Requires:      php-ldap >= 4.3.6
#Requires:      ldap-scripts
Provides:      lam
Obsoletes:     lam <= 3.9
BuildArch:     noarch

%description
LDAP Account Manager (LAM) is a webfrontend for managing accounts stored in an openLDAP server.

Features:
- management of Unix user and group accounts (posixAccount/posixGroup)
- management of Samba 2.x/3 user and host accounts (sambaAccount/sambaSamAccount)
- profiles for account creation
- editor for organizational units (OU)
- account creation via file upload
- automatic creation/deletion of home directories
- setting quotas
- support for LDAP+SSL
- multi-language support (English, French, German, Hungarian, Japanese)
- multiple configuration files
- PDF output for user/group/host accounts
- additional text for user PDFs
- supports multiple password hashes

%prep
%setup -q -n ldap-account-manager-%{version}%{?rcver_append}
%patch 0 -p1

%build
%configure \
   --sysconfdir=%{_sysconfdir}/lam \
   --localstatedir=%{_localstatedir}/lam \
   --docdir=%{_docdir}/lam \
   --htmldir=%{_docdir}/html/lam \
   --with-httpd-user=httpd \
   --with-httpd-group=nobody \
   --with-web-root=%{installdir}

%make

%install
%makeinstall

#mkdir -p %{buildroot}/var/www/html/lam
#install -m 0644 index.html %{buildroot}/var/www/html/lam
#cp -R config lib sess tmp graphics locale style help templates %{buildroot}/var/www/html/lam
mv %{buildroot}%{_sysconfdir}/lam/config.cfg.sample %{buildroot}%{_sysconfdir}/lam/config.cfg
#mv %{buildroot}%{_sysconfdir}/lam/lam.conf_sample %{buildroot}%{_sysconfdir}/lam/lam.conf

install -d -m0755 %{buildroot}%{_docdir}
mv %{buildroot}%{_prefix}/docs %{buildroot}%{_docdir}/lam

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

#%post
#if [ $1 -eq 1 ]; then
## new install
#   [ -e %{_sysconfdir}/openldap/slapd.conf ] && {
#      eval suffix=`grep ^suffix %{_sysconfdir}/openldap/slapd.conf | awk '{ print $2 }'`
#      eval rootdn=`grep ^rootdn %{_sysconfdir}/openldap/slapd.conf | awk '{ print $2 }'`
#   }
#   [ "$suffix" -a "$rootdn" ] && {
#      sed -i "s|cn=Manager,dc=my-domain,dc=com|$rootdn|
#              s|#treesuffix: dc=yourdomain,dc=org|treesuffix: $suffix|
#              s|dc=my-domain,dc=com|$suffix|" \
#         %{_sysconfdir}/lam/lam.conf
#   }
##	RANDOM_PASSWD=`%{_bindir}/mkpasswd -l 8 -s 0`
##	sed -i "s|^passwd: lam|passwd: $RANDOM_PASSWD|" \
##		%{_localstatedir}/www/html/lam/config/lam.conf
#fi
#:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/lam
%{_sysconfdir}/lam/addressbook.sample.conf
%{_sysconfdir}/lam/samba3.sample.conf
%{_sysconfdir}/lam/unix.sample.conf
%{_sysconfdir}/lam/windows_samba4.sample.conf
%config(noreplace) %{_sysconfdir}/lam/config.cfg
#%config(noreplace) %{_sysconfdir}/lam/lam.conf
%dir %{_sysconfdir}/lam/selfService
%{_sysconfdir}/lam/selfService/.placeholder
%dir %{_sysconfdir}/lam/templates
%dir %{_sysconfdir}/lam/templates/pdf
%{_sysconfdir}/lam/templates/pdf/*
%dir %{_sysconfdir}/lam/templates/profiles
%{_sysconfdir}/lam/templates/profiles/*
%config(noreplace) %{_sysconfdir}/lam/language
%{_sysconfdir}/lam/.htaccess
%dir %attr(0755,apache,nobody) %{installdir}
%{installdir}/config
%{installdir}/index.html
%{installdir}/pwa_worker.js
%dir %attr(0755,apache,nobody) %{installdir}/lib
%{installdir}/lib/.htaccess
%{installdir}/lib/*
%dir %attr(0755,apache,nobody) %{installdir}/graphics
%{installdir}/graphics/.htaccess
%{installdir}/graphics/*
%dir %attr(0755,apache,nobody) %{installdir}/help
%{installdir}/help/.htaccess
%{installdir}/help/*
%dir %attr(0755,apache,nobody) %{installdir}/locale
%{installdir}/locale/.htaccess
%{installdir}/locale/*/LC_MESSAGES/messages.*
%{installdir}/sess
%dir %attr(0755,apache,nobody) %{installdir}/style
%{installdir}/style/.htaccess
%{installdir}/style/*
%dir %attr(0755,apache,nobody) %{installdir}/templates
%{installdir}/templates/.htaccess
%{installdir}/templates/*
%{installdir}/tmp
%{installdir}/VERSION
%attr(0750,apache,nobody) %{_localstatedir}/lam/sess
%attr(0750,apache,nobody) %{_localstatedir}/lam/tmp
%dir %{_docdir}/lam
%{_docdir}/lam/*
%doc COPYING

%changelog
* Mon Mar 17 2025 Automatic Build System <autodist@openmamba.org> 9.1-1mamba
- automatic version update by autodist

* Sun Dec 22 2024 Automatic Build System <autodist@openmamba.org> 9.0-1mamba
- automatic version update by autodist

* Thu Sep 26 2024 Automatic Build System <autodist@openmamba.org> 8.9-1mamba
- automatic version update by autodist

* Tue Jul 23 2024 Automatic Build System <autodist@openmamba.org> 8.8-1mamba
- automatic version update by autodist

* Sun Mar 17 2024 Automatic Build System <autodist@openmamba.org> 8.7-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 8.6-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 8.5-1mamba
- automatic version update by autodist

* Sat Jun 10 2023 Automatic Build System <autodist@mambasoft.it> 8.4-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 8.3-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 8.2-1mamba
- automatic version update by autodist

* Sat Oct 15 2022 Automatic Build System <autodist@mambasoft.it> 8.1-1mamba
- automatic version update by autodist

* Sun Jul 03 2022 Automatic Build System <autodist@mambasoft.it> 8.0.1-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 7.9.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2022 Automatic Build System <autodist@mambasoft.it> 7.9-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 7.8-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.7-1mamba
- update to 7.7

* Wed Feb 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9-2mamba
- fix apxs path

* Fri Oct 12 2012 Automatic Build System <autodist@mambasoft.it> 3.9-1mamba
- automatic version update by autodist

* Thu Aug 16 2012 Automatic Build System <autodist@mambasoft.it> 3.8-1mamba
- automatic version update by autodist

* Sat Jul 07 2012 Automatic Build System <autodist@mambasoft.it> 3.7-1mamba
- automatic version update by autodist

* Mon Apr 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-4mamba
- modify defaul user profile to comply with smaba and smbldap-tools configuration
- set /etc/lam/profiles permission to allow profile settings modification from web interface

* Tue Mar 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-3mamba
- renamed from lam to ldap-account-manager
- install using provided configure/make

* Thu Mar 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-2mamba
- added requirement for apache-mod_php

* Thu Feb 17 2011 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic update by autodist

* Mon Nov 08 2010 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic update by autodist

* Mon Aug 09 2010 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic update by autodist

* Thu May 13 2010 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic update by autodist

* Sun Mar 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1mamba
- automatic update by autodist

* Tue Dec 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Thu Jan 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0
- removed uppercase patch (note: needs to be rechecked)
- build as noarch

* Wed Jul 14 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.6-3qilnx
- added a patch to make general_dn check case insensitive

* Tue Jul 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.6-2qilnx
- changed defaults for lam.conf

* Fri Jul 02 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.6-1qilnx
- new version build

* Tue May 25 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.5-2qilnx
- added KDE menu entry 
- fixed lam.conf with QiLinux default limits for UID and GID

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.5-1qilnx
- first build
